Bug 140322 - [RHEL3] GConf bindings (gnome-python2-gconf) are not distributed
[RHEL3] GConf bindings (gnome-python2-gconf) are not distributed
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gnome-python2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2004-11-22 06:03 EST by Daniel Berrange
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-02 11:31:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-11-22 06:03:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
The source RPM for gnome-python2 contains bindings for GConf, however,
these are packaged up into a sub-RPM which does not appear to be
distributed in RHEL3 (not on ISOs, or in RHN). It used to be present
in RHL 8 & 9. Without these bindings being available the utility of
any GNOME python applications is somewhat limited since they can't
seemlessly integrate with the GNOME configuration sub-system.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. up2date gnome-python2-gconf
2. Write a python application including the code

import gconf


Actual Results:  $ python2
Python 2.2.3 (#1, Aug  8 2003, 08:44:02) 
[GCC 3.2.3 20030502 (Red Hat Linux 3.2.3-13)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gconf
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
ImportError: No module named gconf

Additional info:

The rpmdb-redhat package even says that this package should be present
& yet it is no where to be found:

# rpm --dbpath /usr/lib/rpmdb/i386-redhat-linux/redhat -qi
Name        : gnome-python2-gconf          Relocations: (not relocateable)
Version     : 1.99.14                           Vendor: Red Hat, Inc.
Release     : 5                             Build Date: Thu 06 Feb
2003 21:34:19 GMT
Install Date: Tue 07 Oct 2003 23:08:51 BST      Build Host:
Group       : Development/Languages         Source RPM:
Size        : 54811                            License: LGPL
Signature   : DSA/SHA1, Mon 24 Feb 2003 06:21:44 GMT, Key ID
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : Python bindings for interacting with GConf
Description :
This module contains a wrapper that allows the use of GConf via Python.
Comment 2 RHEL Product and Program Management 2007-10-02 11:31:50 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.